- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyDuplicateReportTemplate#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyDuplicateReportTemplate#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyDuplicateReportTemplate#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyDuplicateReportTemplate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyDuplicateReportTemplate#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyDuplicateReportTemplate#body.LegacyDuplicateReportTemplateResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyDuplicateReportTemplate#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyDuplicateReportTemplate#body.aspect_1)

**Full name**: projects.locations.instances.legacySoarReports.legacyDuplicateReportTemplate

Creates a copy of an existing report template. This allows users to leverage existing report structures as a basis for new, modified reports.

### HTTP request

`POST https://{endpoint}/v1alpha/{instance}/legacySoarReports:legacyDuplicateReportTemplate`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `instance` | `string` Required. The instance to duplicate the report template for. Format: projects/{project}/locations/{location}/instances/{instance} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "reportTemplateId": string } ``` |

| Fields ||
|---|---|
| `reportTemplateId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the report template. |

### Response body

Response message for legacySoarReports.legacyDuplicateReportTemplate.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "payload": string } ``` |

| Fields ||
|---|---|
| `payload` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The report template id. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `instance` resource:

- `chronicle.legacySoarReports.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).